﻿using ExternalServiceV3.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;

namespace ExternalServiceV3.Controllers
{
    [Route("api/3.5/info/")]
    [ApiController]
    public class InfoController : ControllerBase
    {
       private readonly ILogger<InfoController> _logger;

      public InfoController(ILogger<InfoController> logger)
      {
         _logger = logger;
      }

      [HttpGet]
      public Info Get()
      {
         _logger.LogDebug("GET INFO ENDPOINT");
         return new Info();
      }
   }
}