﻿using System;
using System.Collections.Generic;

namespace ExternalServiceV3.Models
{
   public class AuthenticationResult
   {
      public string UserId { get; set; }
      public string Username { get; set; }

      public AccessPolicy Policy { get; set; }
      
      /// <summary>
      /// Optional parameter that can be provided to specify DRM policy Id.
      /// </summary>
      public Guid? PolicyId { get; set; }

      public bool Succeed { get; set; }
      public string Message { get; set; }

      public Dictionary<string, string> WatermarkTokens { get; set; }
   }
}

