﻿using System;
using System.Collections.Generic;

namespace ExternalServiceV3.Models
{
   public class ReaderPermissions
   {
      public List<Guid> DocIds { get; set; }
      public List<Guid> FolderIds { get; set; }

      public List<string> DocExternalKeys { get; set; }
      public List<string> FolderExternalKeys { get; set; }
      public IEnumerable<string> DocIncludeExternalKeys { get; set; }
      public IEnumerable<string> FolderIncludeExternalKeys { get; set; }
      public List<string> Aliases { get; set; }
   }
}
