﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Hosting;
using Microsoft.Extensions.Logging;

namespace ExternalServiceV3
{
   public class Program
   {
      public static async Task Main(string[] args)
      {
         await CreateHostBuilder(args).Build().RunAsync();
      }

      private static IHostBuilder CreateHostBuilder(string[] args) =>
         Host.CreateDefaultBuilder(args)
            .ConfigureWebHostDefaults(webBuilder =>
            {
               webBuilder.UseStartup<Startup>();
            })
            .ConfigureLogging(builder => builder.AddLog4Net(Path.Combine(AppContext.BaseDirectory, "log4net.config")));
   }
}
